net.sf.jasperreports.search

## Class HitTermInfo

- java.lang.Object
- - net.sf.jasperreports.search.HitTermInfo

- All Implemented Interfaces:
    java.lang.Cloneable, JRCloneable

      public class HitTermInfo
      extends java.lang.Object
      implements JRCloneable

  Version:
    $Id$
  Author:
    Narcis Marcu (narcism@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HitTermInfo(int position, int start, int end, java.lang.String value)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `int` | `getEnd()`
    `java.lang.String` | `getPageNo()`
    `int` | `getPosition()`
    `int` | `getStart()`
    `java.lang.String` | `getValue()`
    `void` | `setEnd(int end)`
    `void` | `setPageNo(java.lang.String pageNo)`
    `void` | `setStart(int start)`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HitTermInfo

          public HitTermInfo(int position,
                     int start,
                     int end,
                     java.lang.String value)

  - ### Method Detail

    - #### getPosition

          public int getPosition()

    - #### setStart

          public void setStart(int start)

    - #### getStart

          public int getStart()

    - #### setEnd

          public void setEnd(int end)

    - #### getEnd

          public int getEnd()

    - #### getValue

          public java.lang.String getValue()

    - #### setPageNo

          public void setPageNo(java.lang.String pageNo)

    - #### getPageNo

          public java.lang.String getPageNo()

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com